%define major     0
%define libname   %mklibname %{name} %major
%define develname %mklibname %{name} -d

Name:		cjose
Version:	0.6.2.2
Release:	%mkrel 1
Summary:	C library implementing the Javascript Object Signing and Encryption (JOSE)
Group:		System/Libraries
License:	MIT
URL:		https://github.com/OpenIDC/cjose
Source0:	https://github.com/OpenIDC/cjose/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	doxygen
BuildRequires:	gcc
BuildRequires:	pkgconfig(check) >= 0.9.2
BuildRequires:	pkgconfig(jansson) >= 2.3
BuildRequires:	pkgconfig(openssl) >= 1.0.1h

%description
cjose is a C library implementing the Javascript Object Signing
and Encryption (JOSE).

%package -n %{libname}
Summary:	C library implementing the Javascript Object Signing and Encryption (JOSE)
Group:		System/Libraries

%description -n %{libname}
cjose is a C library implementing the Javascript Object Signing
and Encryption (JOSE).

%package -n %{develname}
Summary:	Development files for cjose
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
cjose is a C library implementing the Javascript Object Signing
and Encryption (JOSE).

This package contains development files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%set_build_flags
# Undo the effects of -Werror so deprecation warnings don't halt the build
CFLAGS="$CFLAGS -Wno-error"
%configure --disable-static
%make_build

%check
# testsuite fails on arm
%ifnarch %{arm}
make check || (cat test/test-suite.log; exit 1)
%endif

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/doc/%{name}


%changelog
* Wed Sep 13 2023 daviddavid <daviddavid> 0.6.2.2-1.mga10
+ Revision: 1986388
- new version: 0.6.2.2, fixes CVE-2023-37464 (mga#32274)
- new upstream fork Url at https://github.com/OpenIDC/cjose

* Wed Jul 20 2022 umeabot <umeabot> 0.6.1-3.mga9
+ Revision: 1869500
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for openssl 3.0.0

* Mon Nov 16 2020 tv <tv> 0.6.1-1.mga8
+ Revision: 1646531
- 0.6.1

* Wed Feb 12 2020 umeabot <umeabot> 0.5.1-3.mga8
+ Revision: 1511310
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1296254
- Mageia 7 Mass Rebuild

* Sun Nov 05 2017 mitya <mitya> 0.5.1-1.mga7
+ Revision: 1175992
- New version 0.5.1

* Sat Sep 09 2017 cjw <cjw> 0.4.1-4.mga7
+ Revision: 1152100
- rebuild for openssl 1.1

* Fri Sep 23 2016 daviddavid <daviddavid> 0.4.1-3.mga6
+ Revision: 1055504
- disable testsuite on ARM for now
- disable static libraries

* Thu Sep 22 2016 neoclust <neoclust> 0.4.1-2.mga6
+ Revision: 1055201
- Rebuild for arm

* Wed Sep 14 2016 mitya <mitya> 0.4.1-1.mga6
+ Revision: 1052565
- cjose 0.4.1
- Created package structure for cjose.

